Last Comment Bug 372856 - Remove themes pane from preferences in suiterunner builds.
: Remove themes pane from preferences in suiterunner builds.
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: All All
: -- normal with 2 votes (vote)
: ---
Assigned To: Mark Banner (:standard8) (afk until 26th July)
:
Mentors:
Depends on: suiterunner 335154
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-06 11:22 PST by Mark Banner (:standard8) (afk until 26th July)
Modified: 2007-05-30 05:34 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Removes the themes pane. (17.06 KB, patch)
2007-03-18 15:12 PDT, Mark Banner (:standard8) (afk until 26th July)
neil: review+
neil: superreview+
Details | Diff | Splinter Review

Description Mark Banner (:standard8) (afk until 26th July) 2007-03-06 11:22:18 PST
After, or at the time of, the xpfe to toolkit switch over on trunk we need to remove the themes pane from the preferences window as it'll no longer be required.

Note: this does *not* mean we're near to being ready to switch over.

The xpfe builds still require the themes pane, and to save having to ifdef xul and js files etc, we've decided to leave xpfe builds along in this respect and apply the patch (that I'll attach later) at the time of the change over.

I'm putting it here mainly for reference (so its ready when we need it) and if anyone wants to test it (not that it affects much).
Comment 1 lenochod 2007-03-07 03:32:41 PST
It is view in right parts vindow:

XML Parsing Error: undefined entity
Location: chrome://communicator/content/pref/pref-themes.xul
Line Number 109, Column 31:  <label class="small-margin"><html:a href="&getNewThemesURL;" id="themesLink"
Comment 2 Mark Banner (:standard8) (afk until 26th July) 2007-03-18 15:12:09 PDT
Created attachment 258964 [details] [diff] [review]
Removes the themes pane.

Like I said in comment 0, this patch removes the themes pref pane from all SeaMonkey builds. We won't be implementing this until the time we switch to suiterunner on trunk (bug 328887) but if anyone wishes to test/run with this, feel welcome. I'm putting it here so its ready for when its needed.
Comment 3 Mark Banner (:standard8) (afk until 26th July) 2007-05-11 08:27:16 PDT
Comment on attachment 258964 [details] [diff] [review]
Removes the themes pane.

We're not going to land this until the switch, but I'd like to get reviews on it so once we're ready to switch we can land this at the same time.
Comment 4 neil@parkwaycc.co.uk 2007-05-12 12:04:44 PDT
Comment on attachment 258964 [details] [diff] [review]
Removes the themes pane.

Doesn't the Languages panel need to go too?
Comment 5 Mark Banner (:standard8) (afk until 26th July) 2007-05-13 00:14:57 PDT
(In reply to comment #4)
> (From update of attachment 258964 [details] [diff] [review])
> Doesn't the Languages panel need to go too?
> 
If I remember correctly Robert said it needed reworking into something else.
Comment 6 Robert Kaiser 2007-05-13 15:17:32 PDT
Right. We need our languages panel as long as bug 377881 is open - I'd love to get that one fixed and remove our language switching panel as well.
Comment 7 Mark Banner (:standard8) (afk until 26th July) 2007-05-29 11:23:13 PDT
Patch checked in. Fixed.
Comment 8 Ian Neal 2007-05-29 12:05:54 PDT
Sorry, should have mentioned we need amend help references to themes. Do you want that done as a separate bug?
Comment 9 Mark Banner (:standard8) (afk until 26th July) 2007-05-29 12:18:16 PDT
(In reply to comment #8)
> Sorry, should have mentioned we need amend help references to themes. Do you
> want that done as a separate bug?
> 
Yeah, probably should block 373359 on that as well.

Note You need to log in before you can comment on or make changes to this bug.